package com.yiqi.core.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.core.domain.GoodsSkuSpec;


import java.util.List;

/**
 * 商品规格Service接口
 *
 * @author ruoyi
 * @date 2023-08-30
 */
public interface IGoodsSkuSpecService extends IService<GoodsSkuSpec> {
    /**
     * 查询商品规格
     *
     * @param id 商品规格主键
     * @return 商品规格
     */
    public GoodsSkuSpec selectGoodsSkuSpecById(Long id);

    /**
     * 查询商品规格列表
     *
     * @param goodsSkuSpec 商品规格
     * @return 商品规格集合
     */
    public List<GoodsSkuSpec> selectGoodsSkuSpecList(GoodsSkuSpec goodsSkuSpec);

    /**
     * 新增商品规格
     *
     * @param goodsSkuSpec 商品规格
     * @return 结果
     */
    public int insertGoodsSkuSpec(GoodsSkuSpec goodsSkuSpec);

    /**
     * 修改商品规格
     *
     * @param goodsSkuSpec 商品规格
     * @return 结果
     */
    public int updateGoodsSkuSpec(GoodsSkuSpec goodsSkuSpec);

    /**
     * 批量删除商品规格
     *
     * @param ids 需要删除的商品规格主键集合
     * @return 结果
     */
    public int deleteGoodsSkuSpecByIds(Long[] ids);

    /**
     * 删除商品规格信息
     *
     * @param id 商品规格主键
     * @return 结果
     */
    public int deleteGoodsSkuSpecById(Long id);

    /**
     * 查询商品规格列表 通过物料id
     *
     * @param skuId 商品物料id
     * @return 商品规格集合
     */
    public List<GoodsSkuSpec> getSkuSpecListBySkuId(Long skuId);
}
